#
# Conditional build:
%bcond_with	bc		# build BC wrapper as default Smarty class

%define		main_version 3.1.36
%define		doc_version	3.1.14
%define		rel	1
%define		php_min_version 5.2.0
Summary:	Template engine for PHP
Summary(pl.UTF-8):	System szablonów dla PHP
Name:		php-Smarty
Version:	%{main_version}
Release:	%{rel}%{?with_bc:BC}
License:	LGPL v3
Group:		Development/Languages/PHP
Source0:	https://github.com/smarty-php/smarty/archive/v%{version}/smarty-%{version}.tar.gz
# Source0-md5:	bebb713b0084665b0d59302f2d00c435
# Source1Download: http://www.smarty.net/documentation
Source1:	http://www.smarty.net/files/docs/manual-en.%{doc_version}.zip
# Source1-md5:	f54b1dd458776e4b1ccfdbfbfda1f484
Patch0:		bc.patch
URL:		https://www.smarty.net/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	unzip
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(mbstring)
Requires:	php(pcre)
Requires:	php(tokenizer)
%if %{with bc}
Provides:	Smarty = %{version}
Obsoletes:	Smarty < 3.0
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		appdir		%{php_data_dir}/Smarty3

%description
Smarty is a template engine for PHP. Smarty provides your basic
variable substitution and dynamic block functionality, and also takes
a step further to be a "smart" template engine, adding features such
as configuration files, template functions, variable modifiers, and
making all of this functionality as easy as possible to use for both
programmers and template designers.

%{?with_bc:This package is modified to have SmartyBC class as Smarty
class name}

%description -l pl.UTF-8
Smarty jest systemem szablonów dla PHP. Pozwala na podstawowe
podstawianie wartości zmiennych oraz dynamiczne operacje na blokach;
idzie o krok dalej, aby być "mądrym" silnikiem szablonów, dodając
takie możliwości jak pliki konfiguracyjne, funkcje, zmienne
modyfikatory oraz czyniąc całą funkcjonalność jak najłatwiejszą w
użyciu jednocześnie dla programistów i projektantów szablonów.

%package doc
Summary:	Template engine for PHP - documentation
Summary(pl.UTF-8):	System szablonów dla PHP - dokumentacja
Version:	%{doc_version}
Group:		Development/Languages/PHP

%description doc
Documentation for Smarty template engine.

%description doc -l pl.UTF-8
Dokumentacja do systemu szablonów Smarty.

%prep
%setup -q -n smarty-%{main_version} -a1
%undos -f php

%if %{with bc}
mv libs/Smarty.class.php libs/Smarty3.class.php
mv libs/SmartyBC.class.php libs/Smarty.class.php
%patch0 -p1
%endif

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{appdir}
cp -a libs/* $RPM_BUILD_ROOT%{appdir}

%if %{with bc}
ln -s Smarty3/Smarty.class.php $RPM_BUILD_ROOT%{php_data_dir}
ln -s Smarty3 $RPM_BUILD_ROOT%{php_data_dir}/Smarty
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with bc}
# compat symlink, but need to mv dir first due rpm dir-symlink issue
%pretrans
test -L %{php_data_dir}/Smarty && exit 0
if [ -d %{php_data_dir}/Smarty/plugins ]; then
	mv %{php_data_dir}/Smarty/plugins/* %{appdir}/plugins
	rmdir %{php_data_dir}/Smarty/plugins 2>/dev/null
fi
rmdir %{php_data_dir}/Smarty 2>/dev/null || mv -v %{php_data_dir}/Smarty{,.rpmsave}
ln -s Smarty3 %{php_data_dir}/Smarty
%endif

%files
%defattr(644,root,root,755)
%doc README *.md *.txt
%dir %{appdir}
%dir %{appdir}/plugins
%dir %{appdir}/sysplugins
%{appdir}/Autoloader.php
%{appdir}/Smarty.class.php
%{appdir}/SmartyBC.class.php
%{appdir}/bootstrap.php
%{appdir}/debug.tpl
%{appdir}/plugins/*.php
%{appdir}/sysplugins/*.php

%if %{with bc}
%{appdir}/Smarty3.class.php
%{php_data_dir}/Smarty.class.php
%{php_data_dir}/Smarty
%endif

%files doc
%defattr(644,root,root,755)
%doc demo manual-en
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-Smarty.git;a=log;h=master

* Wed May 06 2020 Elan Ruusamäe <glen@pld-linux.org> b151962
- Update to 3.1.36

* Wed Nov 20 2019 Elan Ruusamäe <glen@pld-linux.org> 77b3607
- Up to 3.1.34

* Tue Feb 12 2019 Elan Ruusamäe <glen@pld-linux.org> 4726ad2
- up to 3.1.33

* Wed Jan 04 2017 Elan Ruusamäe <glen@delfi.ee> ab84b46
- package missing bootstrap.php file

* Wed Dec 21 2016 Elan Ruusamäe <glen@delfi.ee> e4f52c8
- up to 3.1.31

* Sun Sep 25 2016 Elan Ruusamäe <glen@delfi.ee> 4ccfb85
- up to 3.1.30 (2016-08-07)

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> a20704a
- up to 3.1.29

* Mon Dec 14 2015 Elan Ruusamäe <glen@delfi.ee> ada0404
- up to 3.1.28

* Tue Oct 13 2015 Elan Ruusamäe <glen@delfi.ee> fca8f85
- up to 3.1.27

* Thu Oct 30 2014 Elan Ruusamäe <glen@delfi.ee> be59617
- up to 3.1.21

* Thu Sep 04 2014 Elan Ruusamäe <glen@delfi.ee> 51b6924
- license is LGPL v3

* Tue Sep 02 2014 Elan Ruusamäe <glen@delfi.ee> e8f2ceb
- add smarty bc bcond building SmartyBC as Smarty class

* Tue Sep 02 2014 Elan Ruusamäe <glen@delfi.ee> 3193e60
- drop no longer needed noautoreq

* Tue Sep 02 2014 Elan Ruusamäe <glen@delfi.ee> 1f33571
- path patch no longer needed as Smarty.class.php symlink is not provided

* Thu Jul 10 2014 Elan Ruusamäe <glen@delfi.ee> f8e9468
- up to 3.1.19 (06.30.2014)

* Tue Apr 08 2014 Elan Ruusamäe <glen@delfi.ee> c1af055
- up to 3.1.18

* Thu Dec 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> e183f35
- updated to 3.1.16

* Wed Nov 06 2013 Łukasz Kieś <kiesiu@pld-linux.org> c75cb50
- updated docs to 3.1.14; use docs from Source1 for real
- requires php(date) instead of php-date
- rel. 2

* Tue Oct 08 2013 Elan Ruusamäe <glen@delfi.ee> d3b91a9
- up to 3.1.15

* Mon Jul 01 2013 Elan Ruusamäe <glen@delfi.ee> faf299c
- up to 3.1.14

